from PyQt5.QtWidgets import QApplication, QWidget, QHBoxLayout, QPushButton, QLabel

class SelectorOpciones(QWidget):
    def __init__(self):
        super().__init__()

        # Configurar la ventana
        self.setWindowTitle("Seleccionador de Opciones")
        self.setGeometry(100, 100, 300, 200)

        # Layout principal
        layout = QHBoxLayout()

        # Crear botones para las opciones
        self.resultado = QLabel("Selecciona una opción")
        self.boton1 = QPushButton("Opción 1")
        self.boton2 = QPushButton("Opción 2")
        self.boton3 = QPushButton("Opción 3")
        self.boton4 = QPushButton("Opción 4")

        # Conectar los botones a una función
        self.boton1.clicked.connect(lambda: self.mostrar_seleccion("Opción 1"))
        self.boton2.clicked.connect(lambda: self.mostrar_seleccion("Opción 2"))
        self.boton3.clicked.connect(lambda: self.mostrar_seleccion("Opción 3"))
        self.boton4.clicked.connect(lambda: self.mostrar_seleccion("Opción 4"))

        # Agregar botones al layout
        layout.addWidget(self.boton1)
        layout.addWidget(self.boton2)
        layout.addWidget(self.boton3)
        layout.addWidget(self.boton4)
        layout.addWidget(self.resultado)

        # Establecer layout
        self.setLayout(layout)

    def mostrar_seleccion(self, texto):
        self.resultado.setText(f"Seleccionaste: {texto}")

if __name__ == "__main__":
    app = QApplication([])
    ventana = SelectorOpciones()
    ventana.show()
    app.exec_()
