import matplotlib.pyplot as plt
import numpy as np

from funciones_analisis import *
from clase_server import Server



# Ejecución del servidor
if __name__ == "__main__":

   frecuencia_sampling = 1e3 # velocidad muestreo
   tamaño_paquete = 100 #

   t = np.arange(0,tamaño_paquete/frecuencia_sampling, 1/frecuencia_sampling)

   servidor = Server() # activo el servidor

   datos = servidor.pedir_datos(fs= frecuencia_sampling, size= tamaño_paquete)

   fig, ax = plt.subplots(1,1)

   plot_fft(ax, t, datos['V1'], fs=frecuencia_sampling, threshold_picos=0.1)
   
   plt.tight_layout()
   plt.show()

   servidor.apagar_cliente() # para debug esto hay que quitar

